summaryrefslogtreecommitdiff
path: root/bin/menuscripts/mpass-otp
diff options
context:
space:
mode:
Diffstat (limited to 'bin/menuscripts/mpass-otp')
-rwxr-xr-xbin/menuscripts/mpass-otp6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/menuscripts/mpass-otp b/bin/menuscripts/mpass-otp
new file mode 100755
index 0000000..b60f953
--- /dev/null
+++ b/bin/menuscripts/mpass-otp
@@ -0,0 +1,6 @@
+#!/bin/sh
+pass="$(find "$PASSWORD_STORE_DIR"/keys/otp -name "*.gpg" -printf '%f\n' |
+ sed 's/\.gpg$//' |
+ commander -c)"
+[ "$pass" ] || exit 1
+pass otp -c keys/otp/"$pass"